guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike Jumper <mjum...@apache.org>
Subject Re: Failed to install guacamole-client 1.0.0
Date Wed, 12 Jun 2019 18:06:13 GMT
On Wed, Jun 12, 2019, 03:10 ietvkh <kim.helander@ietv.se> wrote:

> Hi
>
> I've run in to similar problems trying to build the client.
> JDK version 11 and maven 3.6.0 running on ubuntu 18.04
>
> First javadoc, markup has changed since 3.0.0.  I excluded it in build..
>
> https://stackoverflow.com/questions/23542876/unable-to-build-maven-project-due-to-javadoc-error


Good to know.


> [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-javadoc-plugin:2.10.3:jar (attach-javadocs)
> on project guacamole-common: MavenReportException: Error while generating
> Javadoc: Unable to find javadoc command: The environment variable JAVA_HOME
> is not correctly set. -> [Help 1]
>

This looks more like you don't have javadoc installed at all, or don't have
JAVA_HOME properly set as suggested by Maven.

javadoc should be part of the JDK.

then I ran in to javax.xml.bind failed in guacamole-auth-cas
> this package is removed in JDK11.
>
> https://stackoverflow.com/questions/52502189/java-11-package-javax-xml-bind-does-not-exist


That has been fixed:

https://issues.apache.org/jira/browse/GUACAMOLE-736

- Mike

Mime
View raw message